PCI_IOV_UNINIT(9)

NAME
PCI_IOV_UNINIT - disable SR-IOV on a PF device

SYNOPSIS
#include <sys/bus.h>
#include <dev/pci/pci_iov.h>
void
PCI_IOV_UNINIT(device_t dev);

DESCRIPTION
The PCI_IOV_UNINIT() method is called by the PCI Single-Root I/O Virtualization (SR-IOV) infrastructure when the user requests that SR-IOV be disabled on a Physical Function (PF). When this method is called, the PF driver must release any SR-IOV-related resources that it has allocated and disable any device-specific SR-IOV configuration in the device.

This method will only be called following a successful call to PCI_IOV_INIT(9). It is not guaranteed that PCI_IOV_ADD_VF(9) will have been called for any Virtual Function (VF) after the call to PCI_IOV_INIT(9) and before the call to PCI_IOV_UNINIT.

SEE ALSO
pci(9), PCI_IOV_ADD_VF(9), PCI_IOV_INIT(9)

AUTHORS
This manual page was written by Ryan Stone <rstone@FreeBSD.org>.